Show a list of cards.

Query Params
string

Allows to request the inclusion of related resources.

Available relations:
* user

Example: user

string

Applies filtering on the 'status' field.
Available statuses: [1 - PENDING, 2 - PRE_ACTIVE, 3 - ACTIVE, 4 - FROZEN, 5 - LOST, 6 - EXPIRED, 7 - CLOSED, 8 - FAILED, 9 - BLOCKED].

Available filters: in.
* in: field must be equal one of the values from a given set - in:1,2,3;

Example: in:2,5

string

Applies filtering on the 'type' field.
Available types: [1 - PLASTIC, 2 - VIRTUAL, 3 - METAL].

Available filters: in.
* in: field must be equal one of the values from a given set - in:1,2,3;

Example: in:1,2

string

Applies filtering on the 'createdAt' field.
The 'dateFrom' must be in time.Time format.

Available filters: [ge, gt].
ge: field greater than or equal to the given value - ge:value;
gt: field greater than the given value - gt:value;

Example: ge:2023-11-01T13:00:00Z

string

Applies filtering on the 'createdAt' field.
The 'dateTo' must be in time.Time format.

Available filters: [le, lt].
le: field less than or equal to the given value - le:value;
lt: field less than the given value - lt:value;

Example: le:2023-11-01T13:00:00Z

string

Requests to search for cards by the occurrence of a substring in the 'cardNumber', 'email' or 'nameOnCard' fields.

Example: 324

string

Specifies the sort order of the list.
For ascending sorting, the field name is specified, and for descending sorting, a minus sign '-' is placed in front of the field name.
Sorting can include several fields separated by commas.

Default sort: by creation date in descending order.

Available fields are:
status
type
* cardNumber

Example: status,-type

integer

Sets the page number (default 1)

Example: 5

integer

Sets the number of items per page (default 10, max 100)

Example: 25

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json